import type { columnWidthType, CsvData, customTextType, DynamicColumnsType, fileFormats, Language, onDataResponseWithBatching, onDataResponseWithoutBatching, onErrorType, onFileUploadType, onMatchColumnsType, onRecordEditType, onRecordsInitialType, ThemeType } from "./types";
declare const useCsvPlugin: ({ importerKey, user, metadata, onData, onRecordsInitial, onRecordEdit, importerDisplay, onClose, theme, batchSize, sampleFileURL, downloadExampleButton, dynamicColumns, defaultLanguage, onError, customText, acceptedFileFormats, onFileUpload, columnWidth, onMatchColumns, iframeId, }: {
    importerKey: string;
    user?: Record<string, string | number> | undefined;
    metadata?: Record<string, string | number> | undefined;
    onData?: ((data: CsvData, close: () => void) => void | onDataResponseWithoutBatching | onDataResponseWithBatching) | undefined;
    onRecordsInitial?: onRecordsInitialType | undefined;
    onRecordEdit?: onRecordEditType | undefined;
    importerDisplay?: "inline" | "modal" | undefined;
    onClose?: (() => void) | undefined;
    theme?: ThemeType | undefined;
    batchSize?: number | undefined;
    sampleFileURL?: string | undefined;
    downloadExampleButton?: boolean | undefined;
    dynamicColumns?: DynamicColumnsType | undefined;
    defaultLanguage?: Language | undefined;
    onError?: onErrorType | undefined;
    customText?: customTextType | undefined;
    acceptedFileFormats?: fileFormats[] | undefined;
    onFileUpload?: onFileUploadType;
    columnWidth?: columnWidthType | undefined;
    onMatchColumns?: onMatchColumnsType | undefined;
    iframeId?: string | undefined;
}) => Promise<import("penpal").Connection<import("penpal").CallSender>>;
export default useCsvPlugin;
//# sourceMappingURL=useCsvPlugin.d.ts.map